gr::lte::bch_crc_check_ant_chooser_bb Class Reference

Depending on the results of the CRC block return number of antennas detected. More...

`#include <bch_crc_check_ant_chooser_bb.h>`

Inheritance diagram for gr::lte::bch_crc_check_ant_chooser_bb:
[legend]

## Public Types

typedef boost::shared_ptr< bch_crc_check_ant_chooser_bb > | sptr

## Static Public Member Functions

static sptr | make (std::string name="bch_crc_check_ant_chooser_bb")
| Return a shared_ptr to a new instance of lte::bch_crc_check_ant_chooser_bb.

## Detailed Description

Depending on the results of the CRC block return number of antennas detected.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<bch_crc_check_ant_chooser_bb> gr::lte::bch_crc_check_ant_chooser_bb::sptr

## Member Function Documentation

## make()

static sptr gr::lte::bch_crc_check_ant_chooser_bb::make | ( | std::string | name = "bch_crc_check_ant_chooser_bb" | ) |

static

Return a shared_ptr to a new instance of lte::bch_crc_check_ant_chooser_bb.

To avoid accidental use of raw pointers, lte::bch_crc_check_ant_chooser_bb's constructor is in a private implementation class. lte::bch_crc_check_ant_chooser_bb::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- bch_crc_check_ant_chooser_bb.h